Batch Import Opt-Out Phone Numbers
curl --request POST \
--url https://ugatext.com/api/v1/opt-outs/import \
--header 'Client-ID: <api-key>' \
--header 'Client-Secret: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"numbers": [
"+256700000000"
],
"campaignId": "cmp_1760425200000_a1b2c3",
"campaignName": "Imported Suppression List",
"notes": "Batch CSV import"
}
'import requests
url = "https://ugatext.com/api/v1/opt-outs/import"
payload = {
"numbers": ["+256700000000"],
"campaignId": "cmp_1760425200000_a1b2c3",
"campaignName": "Imported Suppression List",
"notes": "Batch CSV import"
}
headers = {
"Client-ID": "<api-key>",
"Client-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Client-ID': '<api-key>',
'Client-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
numbers: ['+256700000000'],
campaignId: 'cmp_1760425200000_a1b2c3',
campaignName: 'Imported Suppression List',
notes: 'Batch CSV import'
})
};
fetch('https://ugatext.com/api/v1/opt-outs/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ugatext.com/api/v1/opt-outs/import",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'numbers' => [
'+256700000000'
],
'campaignId' => 'cmp_1760425200000_a1b2c3',
'campaignName' => 'Imported Suppression List',
'notes' => 'Batch CSV import'
]),
CURLOPT_HTTPHEADER => [
"Client-ID: <api-key>",
"Client-Secret: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ugatext.com/api/v1/opt-outs/import"
payload := strings.NewReader("{\n \"numbers\": [\n \"+256700000000\"\n ],\n \"campaignId\": \"cmp_1760425200000_a1b2c3\",\n \"campaignName\": \"Imported Suppression List\",\n \"notes\": \"Batch CSV import\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Client-ID", "<api-key>")
req.Header.Add("Client-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://ugatext.com/api/v1/opt-outs/import")
.header("Client-ID", "<api-key>")
.header("Client-Secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"numbers\": [\n \"+256700000000\"\n ],\n \"campaignId\": \"cmp_1760425200000_a1b2c3\",\n \"campaignName\": \"Imported Suppression List\",\n \"notes\": \"Batch CSV import\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ugatext.com/api/v1/opt-outs/import")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Client-ID"] = '<api-key>'
request["Client-Secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"numbers\": [\n \"+256700000000\"\n ],\n \"campaignId\": \"cmp_1760425200000_a1b2c3\",\n \"campaignName\": \"Imported Suppression List\",\n \"notes\": \"Batch CSV import\"\n}"
response = http.request(request)
puts response.read_body{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers.",
"retry_after_seconds": 60
},
"retry_after_seconds": 60
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers.",
"retry_after_seconds": 60
},
"retry_after_seconds": 60
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers.",
"retry_after_seconds": 60
},
"retry_after_seconds": 60
}Opt-Outs
Batch Import Opt-Out Phone Numbers
POST
/
opt-outs
/
import
Batch Import Opt-Out Phone Numbers
curl --request POST \
--url https://ugatext.com/api/v1/opt-outs/import \
--header 'Client-ID: <api-key>' \
--header 'Client-Secret: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"numbers": [
"+256700000000"
],
"campaignId": "cmp_1760425200000_a1b2c3",
"campaignName": "Imported Suppression List",
"notes": "Batch CSV import"
}
'import requests
url = "https://ugatext.com/api/v1/opt-outs/import"
payload = {
"numbers": ["+256700000000"],
"campaignId": "cmp_1760425200000_a1b2c3",
"campaignName": "Imported Suppression List",
"notes": "Batch CSV import"
}
headers = {
"Client-ID": "<api-key>",
"Client-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Client-ID': '<api-key>',
'Client-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
numbers: ['+256700000000'],
campaignId: 'cmp_1760425200000_a1b2c3',
campaignName: 'Imported Suppression List',
notes: 'Batch CSV import'
})
};
fetch('https://ugatext.com/api/v1/opt-outs/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ugatext.com/api/v1/opt-outs/import",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'numbers' => [
'+256700000000'
],
'campaignId' => 'cmp_1760425200000_a1b2c3',
'campaignName' => 'Imported Suppression List',
'notes' => 'Batch CSV import'
]),
CURLOPT_HTTPHEADER => [
"Client-ID: <api-key>",
"Client-Secret: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ugatext.com/api/v1/opt-outs/import"
payload := strings.NewReader("{\n \"numbers\": [\n \"+256700000000\"\n ],\n \"campaignId\": \"cmp_1760425200000_a1b2c3\",\n \"campaignName\": \"Imported Suppression List\",\n \"notes\": \"Batch CSV import\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Client-ID", "<api-key>")
req.Header.Add("Client-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://ugatext.com/api/v1/opt-outs/import")
.header("Client-ID", "<api-key>")
.header("Client-Secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"numbers\": [\n \"+256700000000\"\n ],\n \"campaignId\": \"cmp_1760425200000_a1b2c3\",\n \"campaignName\": \"Imported Suppression List\",\n \"notes\": \"Batch CSV import\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ugatext.com/api/v1/opt-outs/import")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Client-ID"] = '<api-key>'
request["Client-Secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"numbers\": [\n \"+256700000000\"\n ],\n \"campaignId\": \"cmp_1760425200000_a1b2c3\",\n \"campaignName\": \"Imported Suppression List\",\n \"notes\": \"Batch CSV import\"\n}"
response = http.request(request)
puts response.read_body{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers.",
"retry_after_seconds": 60
},
"retry_after_seconds": 60
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers.",
"retry_after_seconds": 60
},
"retry_after_seconds": 60
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Authentication failed. Provide a valid 'Client-ID' and 'Client-Secret' in the request headers.",
"retry_after_seconds": 60
},
"retry_after_seconds": 60
}Authorizations
Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.
Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.
Body
application/json
Response
Opt-out numbers imported

